function [result] = dropSelection(pForce)
%DROPSELECTION Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

if nargin == 0
    pForce = false;
end

result = false;

if artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    if ~pForce
        if strcmp(questdlg('Reset current selection?', 'Confirmation', 'Yes', 'Cancel', 'Cancel'), 'Cancel')
            return;
        end
    end
    % reset the line and all required fields
    [artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);
end

result = true;

end

