function [] = initialize()
%INITIALIZE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Check if workspace supports plugins

if ~artoa.data.hasMember(artoaWorkspace, {'plugins', 'tracking'})
    warning('Loaded artoaWorkspace does not support tracking plugins! Aborting ...');
    return;
end

%% Get tracking methods
artoaWorkspace.plugins.tracking.functionHandles = ...
    artoa.plugins.findTrackingMethods();


end
